## linux-backports-modules-2.6.20 2.6.20-17.12

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_E1000_ICH9)		+= e1000-ich9/

=== updates/e1000-ich9/Makefile ===
###########################################################################
# Driver files
FAMILYC = e1000_82540.c e1000_82542.c e1000_82571.c e1000_82541.c \
	  e1000_82543.c e1000_ich8lan.c e1000_80003es2lan.c
FAMILYH = e1000_82571.h e1000_82541.h e1000_82543.h e1000_ich8lan.h \
	  e1000_80003es2lan.h

# core driver files
CFILES = e1000_main.c $(FAMILYC) e1000_mac.c e1000_nvm.c e1000_phy.c \
	 e1000_manage.c e1000_param.c e1000_ethtool.c kcompat.c e1000_api.c
HFILES = e1000.h e1000_hw.h e1000_osdep.h e1000_defines.h e1000_mac.h \
	 e1000_nvm.h e1000_manage.h $(FAMILYH) kcompat.h e1000_regs.h \
	 e1000_api.h

obj-m	+= e1000-ich9.o

e1000-ich9-objs := $(CFILES:.c=.o)

## linux-backports-modules-2.6.20 2.6.20-15.10

=== debian/changelog ===
linux-backports-modules-2.6.20 (2.6.20-15.10) feisty; urgency=low

  * ABI bump for -15

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 13 Apr 2007 09:04:03 -0400

linux-backports-modules-2.6.20 (2.6.20-14.9) feisty; urgency=low

  * ABI bump for -14.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2007 11:28:15 +0100

linux-backports-modules-2.6.20 (2.6.20-13.8) feisty; urgency=low

  * ABI bump for -13.

 -- Ben Collins <bcollins@ubuntu.com>  Sun, 25 Mar 2007 10:43:50 -0400

linux-backports-modules-2.6.20 (2.6.20-12.7) feisty; urgency=low

  * ABI bump for -12

 -- Ben Collins <bcollins@ubuntu.com>  Sun, 18 Mar 2007 00:27:29 -0400

linux-backports-modules-2.6.20 (2.6.20-11.6) feisty; urgency=low

  * Regenerate debian/control to make correct build-dependencies.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 16 Mar 2007 09:36:21 +0100

linux-backports-modules-2.6.20 (2.6.20-11.5) feisty; urgency=low

  * ABI bump for -11

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 15 Mar 2007 08:46:02 -0400

linux-backports-modules-2.6.20 (2.6.20-10.4) feisty; urgency=low

  * ABI bump for -10

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 12 Mar 2007 21:42:02 -0400

linux-backports-modules-2.6.20 (2.6.20-9.3) feisty; urgency=low

  * ABI bump for -9

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 26 Feb 2007 17:57:32 -0500

linux-backports-modules-2.6.20 (2.6.20-8.2) feisty; urgency=low

  * ABI bump for 8.14

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 13 Feb 2007 09:24:11 -0500

linux-backports-modules-2.6.20 (2.6.20-6.1) feisty; urgency=low

  * Initial empty package. Wont start filling this in until after release (or
    maybe just before during freeze).

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 10 Jan 2007 16:06:29 -0500

=== debian/control ===
Source: linux-backports-modules-2.6.20
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), linux-headers-2.6.20-15-386 [i386], linux-headers-2.6.20-15-generic [amd64 i386], linux-headers-2.6.20-15-server [amd64 i386], linux-headers-2.6.20-15-lowlatency [amd64 i386], linux-headers-2.6.20-15-server-bigiron [i386], linux-headers-2.6.20-15-powerpc [powerpc], linux-headers-2.6.20-15-powerpc-smp [powerpc], linux-headers-2.6.20-15-powerpc64-smp [powerpc], linux-headers-2.6.20-15-mckinley [ia64], linux-headers-2.6.20-15-itanium [ia64], linux-headers-2.6.20-15-hppa32 [hppa], linux-headers-2.6.20-15-hppa64 [hppa], linux-headers-2.6.20-15-sparc64-smp [sparc],  linux-headers-2.6.20-15-sparc64 [sparc]

Package: linux-backports-modules-2.6.20-15-generic
Architecture: amd64 i386
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-generic
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-server
Architecture: amd64 i386
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-server
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-lowlatency
Architecture: amd64 i386
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-lowlatency
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-hppa32
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-hppa64
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-server-bigiron
Architecture: i386
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-server-bigiron
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-386
Architecture: i386
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-386
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-itanium
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-mckinley
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-powerpc
Architecture: powerpc
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-powerpc
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-powerpc-smp
Architecture: powerpc
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-powerpc-smp
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-powerpc64-smp
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-sparc64
Architecture: sparc
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-sparc64
Description: Backported modules package
 This package contains backported modules.

Package: linux-backports-modules-2.6.20-15-sparc64-smp
Architecture: sparc
Section: base
Priority: optional
Depends: linux-image-2.6.20-15-sparc64-smp
Description: Backported modules package
 This package contains backported modules.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-source.
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999-2004 Herbert Xu <herbert@gondor.apana.org.au>
# Copyright (c) 2004 Jens Schmalzing <jensen@debian.org>
#

# This is the debhelper compatability version to use.
export DH_COMPAT=4

KERNEL_VERSION=2.6.20
KERNEL_ABI=15
KERNEL_ABI_VERSION=$(KERNEL_VERSION)-$(KERNEL_ABI)

control_files := debian/control.common $(shell LC_ALL=C ls -d debian/control.d/*)

SHELL := sh -e

build:
	dh_testdir

clean: debian/control
	dh_testdir
	dh_testroot
	dh_clean

debian/control: $(control_files) debian/rules
	rm -f debian/control.tmp
	for i in $(control_files); do \
		cat $$i | sed -e \
		  's/@@KVERS@@/$(KERNEL_ABI_VERSION)/g' >> \
		  debian/control.tmp; \
		echo >> debian/control.tmp; \
	done
	rm -f $@
	mv debian/control.tmp $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

# Build architecture-independent files here.
binary-indep: debian/control install
	dh_testdir
	dh_testroot

#	dh_installdirs -i
#	dh_installdocs -i
#	dh_installchangelogs -i
#	dh_compress -i
#	dh_fixperms -i
#	dh_installdeb -i
#	dh_gencontrol -i -- \
#		-Vkernel-abi-version=$(KERNEL_ABI_VERSION)
#	dh_md5sums -i
#	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: debian/control install
	dh_testdir
	dh_testroot

	dh_installdirs -s
	dh_installdocs -s
	dh_installchangelogs -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## linux-backports-modules-2.6.20 2.6.20-17.12

=== debian/changelog ===
linux-backports-modules-2.6.20 (2.6.20-17.12) feisty-security; urgency=low

  * Security upload with ABI bump to -17

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 11 Jun 2008 02:55:09 -0600

linux-backports-modules-2.6.20 (2.6.20-16.11) feisty-proposed; urgency=low

  * ABI bump
  * Add e1000-ich9 driver
    LP: #121187

    This driver adds three new PCI device IDs for ICH9 mac types. It contains
    only these PCI IDs, which do not exist in the primary e1000 driver found
    in our kernel package. So there are no conflicts, just new hardware
    support.

  * Add actual build infrastructure (not just an empty package anymore).

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 20 Jun 2007 09:10:39 -0400

=== debian/control ===
Source: linux-backports-modules-2.6.20
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), gcc-3.4-hppa64 [hppa], binutils-hppa64 [hppa], gcc-3.4 [hppa], linux-headers-2.6.20-17-386 [i386], linux-headers-2.6.20-17-generic [i386 amd64], linux-headers-2.6.20-17-hppa32 [hppa], linux-headers-2.6.20-17-hppa64 [hppa], linux-headers-2.6.20-17-itanium [ia64], linux-headers-2.6.20-17-mckinley [ia64], linux-headers-2.6.20-17-powerpc [powerpc], linux-headers-2.6.20-17-powerpc-smp [powerpc], linux-headers-2.6.20-17-powerpc64-smp [powerpc], linux-headers-2.6.20-17-server [i386 amd64], linux-headers-2.6.20-17-server-bigiron [i386], linux-headers-2.6.20-17-sparc64 [sparc], linux-headers-2.6.20-17-sparc64-smp [sparc]


Package: linux-backports-modules-2.6.20-17-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-powerpc-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-powerpc-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on 32-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 32-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-powerpc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on 64-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 64-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-server-bigiron
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-server-bigiron
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on BigIron Server Equipment
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 BigIron Server Equipment.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server-bigiron meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-sparc64
Architecture: sparc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-sparc64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on 64-bit UltraSPARC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 64-bit UltraSPARC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.20-17-sparc64-smp
Architecture: sparc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.20-17-sparc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.20 on 64-bit UltraSPARC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.20 on
 64-bit UltraSPARC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Udeb stuff
include debian/rules.d/3-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

binary-indep:
build-indep:

build: build-arch build-indep

clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -f $(stampdir)/stamp-*

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Rules for building the udebs (debian-installer)
#include debian/rules.d/5-udebs.mk

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	install -d $(udebdir)/firmware/$(arch)
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian
	touch $(udebdir)/no-modules

	(cd $(udebdir); kernel-wedge gen-control) > $@
